PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
kubly::wzmocnienie Class Reference

`#include <solvers/gain/wasiak/wzmocnienie/kublybr.h>`

Collaboration diagram for kubly::wzmocnienie:
[legend]

## Public Types
enum | Wersja { Z_CHROPOWATOSCIA , Z_POSZERZENIEM }

## Public Member Functions
void | ustaw_przerwy (double poprawka=0.)
double | sieczne (double(wzmocnienie::*f)(double), double pocz, double kon)
double | przel_gest_z_cm2 (double gest_w_cm2)
double | przel_gest_na_cm2 (double gest_w_wew)
double | gdzie_qFlc (double E)
double | gdzie_qFlv (double E)
double | kodE (double E, double mc, double mv)
double | rored (double, double mc, double mv)
double | erf_dorored (double E, double E0, double sigma)
double | rored_posz (double E, double E0, double mc, double mv, double sigma)
double | fc (double E)
double | fv (double E)
double | posz_z_chrop (size_t nr_c, int poz_c, size_t nr_v, int poz_v)
double | posz_z_br (size_t nr_c, int poz_c, size_t nr_v, int poz_v)
double | nosniki_w_c (double Fl)
void | policz_qFlc ()
double | nosniki_w_v (double Fl)
void | policz_qFlv ()
| wzmocnienie (obszar_aktywny *obsz, double konc_pow, double T, double wsp_zal, double poprawkaEg=0., double szdowzm=-1., Wersja wersja=Z_POSZERZENIEM)
std::vector< double > | koncentracje_elektronow_w_warstwach ()
std::vector< double > | koncentracje_dziur_w_warstwach ()
double | pozFerm_przew ()
double | pozFerm_wal ()
double | rozn_poz_Ferm ()
double | szerdowzmoc ()
double | wzmocnienie_od_pary_poziomow (double E, size_t nr_c, int poz_c, size_t nr_v, int poz_v, double polar)
double | wzmocnienie_od_pary_pasm (double E, size_t nr_c, size_t nr_v, double polar)
double | spont_od_pary_poziomow (double E, size_t nr_c, int poz_c, size_t nr_v, int poz_v, double polar)
double | spont_od_pary_pasm (double E, size_t nr_c, size_t nr_v, double polar)
double | wzmocnienie_calk_ze_splotem (double E, double b, double polar, double blad=0.02)
double | wzmocnienie_calk_bez_splotu (double E, double polar)
double | wzmocnienie_calk_bez_splotu_L (double lambda, double polar)
double | lumin (double E, double polar=2.)
void | profil_wzmocnienia_ze_splotem_dopliku (std::ofstream &plik, double pocz, double kon, double krok, double b)
void | profil_wzmocnienia_bez_splotu_dopliku (std::ofstream &plik, double pocz, double kon, double krok)
void | profil_wzmocnienia_bez_splotu_dopliku_L (std::ofstream &plik, double pocz, double kon, double krok)
void | profil_lumin_dopliku (std::ofstream &plik, double pocz, double kon, double krok)
void | profil_lumin_dopliku_L (std::ofstream &plik, double pocz, double kon, double krok)
double | moc_lumin ()

## Static Public Member Functions
static double | L (double x, double b)

## Public Attributes
const obszar_aktywny * | pasma
double | nosniki_c
double | nosniki_v
std::set< int > | warstwy_do_nosnikow
double | T
std::string | ch_br
std::vector< double > | Egcv_T
double | n_r
double | qFlc
double | qFlv
double | szer_do_wzmoc

## Detailed Description

Definition at line 372 of file kublybr.h.

## Member Enumeration Documentation

## ◆ Wersja

enum kubly::wzmocnienie::Wersja

Enumerator
Z_CHROPOWATOSCIA |
Z_POSZERZENIEM |

Definition at line 408 of file kublybr.h.

## Constructor & Destructor Documentation

## ◆ wzmocnienie()

kubly::wzmocnienie::wzmocnienie | ( | obszar_aktywny * | obsz,
|  | double | konc_pow,
|  | double | T,
|  | double | wsp_zal,
|  | double | poprawkaEg = `0.`,
|  | double | szdowzm = `-1.`,
|  | Wersja | wersja = `Z_POSZERZENIEM`
| ) |  |

Definition at line 4518 of file kublybr.cc.

## Member Function Documentation

## ◆ erf_dorored()

double kubly::wzmocnienie::erf_dorored | ( | double | E,
|  | double | E0,
|  | double | sigma
| ) |  |

Definition at line 4479 of file kublybr.cc.

## ◆ fc()

double kubly::wzmocnienie::fc | ( | double | E | ) |

Definition at line 5435 of file kublybr.cc.

## ◆ fv()

double kubly::wzmocnienie::fv | ( | double | E | ) |

Definition at line 5441 of file kublybr.cc.

## ◆ gdzie_qFlc()

double kubly::wzmocnienie::gdzie_qFlc | ( | double | E | ) |

Definition at line 4657 of file kublybr.cc.

## ◆ gdzie_qFlv()

double kubly::wzmocnienie::gdzie_qFlv | ( | double | E | ) |

Definition at line 4659 of file kublybr.cc.

## ◆ kodE()

double kubly::wzmocnienie::kodE | ( | double | E,
|  | double | mc,
|  | double | mv
| ) |  |

Definition at line 4467 of file kublybr.cc.

## ◆ koncentracje_dziur_w_warstwach()

std::vector< double > kubly::wzmocnienie::koncentracje_dziur_w_warstwach | ( |  | ) |

Definition at line 4743 of file kublybr.cc.

## ◆ koncentracje_elektronow_w_warstwach()

std::vector< double > kubly::wzmocnienie::koncentracje_elektronow_w_warstwach | ( |  | ) |

Definition at line 4721 of file kublybr.cc.

## ◆ L()

double kubly::wzmocnienie::L | ( | double | x,
|  | double | b
| ) |  |
| static

Definition at line 4873 of file kublybr.cc.

## ◆ lumin()

double kubly::wzmocnienie::lumin | ( | double | E,
|  | double | polar = `2.`
| ) |  |

Definition at line 5343 of file kublybr.cc.

## ◆ moc_lumin()

double kubly::wzmocnienie::moc_lumin | ( |  | ) |

Definition at line 5402 of file kublybr.cc.

## ◆ nosniki_w_c()

double kubly::wzmocnienie::nosniki_w_c | ( | double | Fl | ) |

Definition at line 4661 of file kublybr.cc.

## ◆ nosniki_w_v()

double kubly::wzmocnienie::nosniki_w_v | ( | double | Fl | ) |

Definition at line 4684 of file kublybr.cc.

## ◆ policz_qFlc()

void kubly::wzmocnienie::policz_qFlc | ( |  | ) |

Definition at line 4598 of file kublybr.cc.

## ◆ policz_qFlv()

void kubly::wzmocnienie::policz_qFlv | ( |  | ) |

Definition at line 4630 of file kublybr.cc.

## ◆ posz_z_br()

double kubly::wzmocnienie::posz_z_br | ( | size_t | nr_c,
|  | int | poz_c,
|  | size_t | nr_v,
|  | int | poz_v
| ) |  |

Definition at line 5489 of file kublybr.cc.

## ◆ posz_z_chrop()

double kubly::wzmocnienie::posz_z_chrop | ( | size_t | nr_c,
|  | int | poz_c,
|  | size_t | nr_v,
|  | int | poz_v
| ) |  |

Definition at line 5457 of file kublybr.cc.

## ◆ pozFerm_przew()

double kubly::wzmocnienie::pozFerm_przew | ( |  | ) |

Definition at line 4707 of file kublybr.cc.

## ◆ pozFerm_wal()

double kubly::wzmocnienie::pozFerm_wal | ( |  | ) |

Definition at line 4709 of file kublybr.cc.

## ◆ profil_lumin_dopliku()

void kubly::wzmocnienie::profil_lumin_dopliku | ( | std::ofstream & | plik,
|  | double | pocz,
|  | double | kon,
|  | double | krok
| ) |  |

Definition at line 5360 of file kublybr.cc.

## ◆ profil_lumin_dopliku_L()

void kubly::wzmocnienie::profil_lumin_dopliku_L | ( | std::ofstream & | plik,
|  | double | pocz,
|  | double | kon,
|  | double | krok
| ) |  |

Definition at line 5385 of file kublybr.cc.

## ◆ profil_wzmocnienia_bez_splotu_dopliku()

void kubly::wzmocnienie::profil_wzmocnienia_bez_splotu_dopliku | ( | std::ofstream & | plik,
|  | double | pocz,
|  | double | kon,
|  | double | krok
| ) |  |

Definition at line 5316 of file kublybr.cc.

## ◆ profil_wzmocnienia_bez_splotu_dopliku_L()

void kubly::wzmocnienie::profil_wzmocnienia_bez_splotu_dopliku_L | ( | std::ofstream & | plik,
|  | double | pocz,
|  | double | kon,
|  | double | krok
| ) |  |

## ◆ profil_wzmocnienia_ze_splotem_dopliku()

void kubly::wzmocnienie::profil_wzmocnienia_ze_splotem_dopliku | ( | std::ofstream & | plik,
|  | double | pocz,
|  | double | kon,
|  | double | krok,
|  | double | b
| ) |  |

Definition at line 5334 of file kublybr.cc.

## ◆ przel_gest_na_cm2()

double kubly::wzmocnienie::przel_gest_na_cm2 | ( | double | gest_w_wew | ) |

Definition at line 5452 of file kublybr.cc.

## ◆ przel_gest_z_cm2()

double kubly::wzmocnienie::przel_gest_z_cm2 | ( | double | gest_w_cm2 | ) |

Definition at line 5447 of file kublybr.cc.

## ◆ rored()

double kubly::wzmocnienie::rored | ( | double | ,
|  | double | mc,
|  | double | mv
| ) |  |

Definition at line 4473 of file kublybr.cc.

## ◆ rored_posz()

double kubly::wzmocnienie::rored_posz | ( | double | E,
|  | double | E0,
|  | double | mc,
|  | double | mv,
|  | double | sigma
| ) |  |

Definition at line 4490 of file kublybr.cc.

## ◆ rozn_poz_Ferm()

double kubly::wzmocnienie::rozn_poz_Ferm | ( |  | ) |

Definition at line 4714 of file kublybr.cc.

## ◆ sieczne()

double kubly::wzmocnienie::sieczne | ( | double(wzmocnienie::*)(double) | f,
|  | double | pocz,
|  | double | kon
| ) |  |

Definition at line 4809 of file kublybr.cc.

## ◆ spont_od_pary_pasm()

double kubly::wzmocnienie::spont_od_pary_pasm | ( | double | E,
|  | size_t | nr_c,
|  | size_t | nr_v,
|  | double | polar
| ) |  |

Definition at line 5028 of file kublybr.cc.

## ◆ spont_od_pary_poziomow()

double kubly::wzmocnienie::spont_od_pary_poziomow | ( | double | E,
|  | size_t | nr_c,
|  | int | poz_c,
|  | size_t | nr_v,
|  | int | poz_v,
|  | double | polar
| ) |  |

Definition at line 5187 of file kublybr.cc.

## ◆ szerdowzmoc()

double kubly::wzmocnienie::szerdowzmoc | ( |  | ) |

Definition at line 4716 of file kublybr.cc.

## ◆ ustaw_przerwy()

void kubly::wzmocnienie::ustaw_przerwy | ( | double | poprawka = `0.` | ) |

Definition at line 4589 of file kublybr.cc.

## ◆ wzmocnienie_calk_bez_splotu()

double kubly::wzmocnienie::wzmocnienie_calk_bez_splotu | ( | double | E,
|  | double | polar
| ) |  |

Definition at line 5298 of file kublybr.cc.

## ◆ wzmocnienie_calk_bez_splotu_L()

double kubly::wzmocnienie::wzmocnienie_calk_bez_splotu_L | ( | double | lambda,
|  | double | polar
| ) |  |

Definition at line 5307 of file kublybr.cc.

## ◆ wzmocnienie_calk_ze_splotem()

double kubly::wzmocnienie::wzmocnienie_calk_ze_splotem | ( | double | E,
|  | double | b,
|  | double | polar,
|  | double | blad = `0.02`
| ) |  |

Definition at line 4875 of file kublybr.cc.

## ◆ wzmocnienie_od_pary_pasm()

double kubly::wzmocnienie::wzmocnienie_od_pary_pasm | ( | double | E,
|  | size_t | nr_c,
|  | size_t | nr_v,
|  | double | polar
| ) |  |

Definition at line 4985 of file kublybr.cc.

## ◆ wzmocnienie_od_pary_poziomow()

double kubly::wzmocnienie::wzmocnienie_od_pary_poziomow | ( | double | E,
|  | size_t | nr_c,
|  | int | poz_c,
|  | size_t | nr_v,
|  | int | poz_v,
|  | double | polar
| ) |  |

Definition at line 5070 of file kublybr.cc.

## Member Data Documentation

## ◆ ch_br

std::string kubly::wzmocnienie::ch_br

Definition at line 379 of file kublybr.h.

## ◆ Egcv_T

std::vector<double> kubly::wzmocnienie::Egcv_T

Definition at line 380 of file kublybr.h.

## ◆ n_r

double kubly::wzmocnienie::n_r

Definition at line 381 of file kublybr.h.

## ◆ nosniki_c

double kubly::wzmocnienie::nosniki_c

Definition at line 376 of file kublybr.h.

## ◆ nosniki_v

double kubly::wzmocnienie::nosniki_v

Definition at line 376 of file kublybr.h.

## ◆ pasma

const obszar_aktywny* kubly::wzmocnienie::pasma

Definition at line 375 of file kublybr.h.

## ◆ qFlc

double kubly::wzmocnienie::qFlc

Definition at line 382 of file kublybr.h.

## ◆ qFlv

double kubly::wzmocnienie::qFlv

Definition at line 383 of file kublybr.h.

## ◆ szer_do_wzmoc

double kubly::wzmocnienie::szer_do_wzmoc

Definition at line 418 of file kublybr.h.

## ◆ T

double kubly::wzmocnienie::T

Definition at line 378 of file kublybr.h.

## ◆ warstwy_do_nosnikow

std::set<int> kubly::wzmocnienie::warstwy_do_nosnikow

Definition at line 377 of file kublybr.h.

The documentation for this class was generated from the following files:

- solvers/gain/wasiak/wzmocnienie/kublybr.h
- solvers/gain/wasiak/wzmocnienie/kublybr.cc